package org.xdv.clx.expr;

import org.xdv.clx.exec.ClxExecutionContext;
import org.xdv.common.XdvValidationException;
import org.xdv.xpath.XPathExpression;

/**
 * GREATER OR EQUAL - CLX element implementation.
 * 
 * @see <a href="http://www.clixml.org/clix/1.0/#greaterOrEqual">CLiXML - clx:greaterOrEqual</a>
 * @see org.xdv.clx.base.ClxConstants#TAG_GREATEROREQUAL
 * @author Tomasz Kokoszka
 */
public class ClxGreaterOrEqual extends ClxFormulaBinaryPredicate {

    /**
     * Creates instance.
     * @param op1 first expression
     * @param op2 secound expression
     */
    public ClxGreaterOrEqual(XPathExpression op1, XPathExpression op2) {
        super(op1, op2);
    }
        
    public boolean executeFormula(ClxExecutionContext cntx) 
    throws XdvValidationException {
        return compare(cntx) >= 0;
    }

    public String toString() {
        return getOp1() + ">=" + getOp2();
    }

}
